- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTScale Class Reference
[COLLADA Document Object Model.]

A COLLADA non-uniform scale. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTScale:

List of all members.

## Public Member Functions
| FCDTScale (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTScale ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the non-uniform scale.
FCDParameterAnimatableVector3 & | GetScale ()
| Retrieves the factors of the non-uniform scale.
const FCDParameterAnimatableVector3 & | GetScale () const
| See above.
void | SetScale (const FMVector3 &_scale)
| Sets the factors of the non-uniform scale.
void | SetScale (float x, float y, float z)
| Sets the factors of the non-uniform scale.
virtual FMMatrix44 | ToMatrix () const
| Converts the non-uniform scale into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether the factors of the non-uniform scale are animated.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the non-uniform scale factors.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a non-uniform scale.

## Detailed Description

A COLLADA non-uniform scale.

A non-uniform scale contains three scale factors.

## Constructor & Destructor Documentation

FCDTScale::FCDTScale | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the SCALE transformation type. Parameters:
  | document | The COLLADA document that owns the non-uniform scale.
  | parent | The visual scene node that contains the non-uniform scale. Set this pointer to NULL if the non-uniform scale is not owned by a visual scene node.

## Member Function Documentation

virtual FCDTransform* FCDTScale::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a non-uniform scale. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

FCDAnimated* FCDTScale::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the non-uniform scale factors. Returns: The animated element. This pointer will be NULL if the scale factors are not animated. Reimplemented from FCDTransform.

FCDParameterAnimatableVector3& FCDTScale::GetScale | ( |  | ) | `[inline]`

| Retrieves the factors of the non-uniform scale. These factors may be animated. Returns: The scale factors.

virtual Type FCDTScale::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the non-uniform scale. Returns: The class type: SCALE. Implements FCDTransform.

virtual bool FCDTScale::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether the factors of the non-uniform scale are animated. Returns: Whether the scale factors are animated. Implements FCDTransform.

void FCDTScale::SetScale | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the factors of the non-uniform scale. Parameters:
  | x | The x-component scale factor.
  | y | The y-component scale factor.
  | z | The z-component scale factor.

void FCDTScale::SetScale | ( | const FMVector3 & | _scale | ) | `[inline]`

  | Sets the factors of the non-uniform scale. Parameters:
  | _scale | The scale factors.

virtual FMMatrix44 FCDTScale::ToMatrix | ( |  | ) | const`[virtual]`

| Converts the non-uniform scale into a matrix. Returns: A matrix equivalent of the non-uniform scale. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h